(*
 * keydefs -- values for special keys on IBM PC and clones
 *)
const

(* capital letters *)
YKey =  89;
NKey =  78;
Skey =  83;
RKey =  82;

(* function keys *)
 F1 =   315;
 F2 =   316;
 F3 =   317;
 F4 =   318;
 F5 =   319;
 F6 =   320;
 F7 =   321;
 F8 =   322;
 F9 =   323;
 F10 =  324;

(* shifted function keys *)
 SF1 =  340;
 SF2 =  341;
 SF3 =  342;
 SF4 =  343;
 SF5 =  344;
 SF6 =  345;
 SF7 =  346;
 SF8 =  347;
 SF9 =  348;
 SF10 = 349;

(* control function keys *)
 CF1 =  350;
 CF2 =  351;
 CF3 =  352;
 CF4 =  353;
 CF5 =  354;
 CF6 =  355;
 CF7 =  356;
 CF8 =  357;
 CF9 =  358;
 CF10 = 359;

(* alternate function keys *)
 AF1 =  360;
 AF2 =  361;
 AF3 =  362;
 AF4 =  363;
 AF5 =  364;
 AF6 =  365;
 AF7 =  366;
 AF8 =  367;
 AF9 =  368;
 AF10 = 369;

(* curs+ keypadNumLock off; not shifted) *)
 HOMEKEY =        327;
 ENDKEY  =        335;
 PGUPKEY =        329;
 PGDNKEY =        337;
 LEFTKEY =        331;
 RIGHTKEY=        333;
 UPKEY   =        328;
 DOWNKEY =        336;

(* control curs+ keypad *)
 CHOME =372;
 CEND  =373;
 CPGUP =388;
 CPGDN =374;
 CLEFT =371;
 CRGHT =372;

(* standard control keys *)
 CTRLA          =1;
 CTRLB          =2;
 CTRLC          =3;
 CTRLD          =4;
 CTRLE          =5;
 CTRLF          =6;
 CTRLG          =7;
 CTRLH          =8;
 CTRLI          =9;
 CTRLJ          =10;
 CTRLK          =11;
 CTRLL          =12;
 CTRLM          =13;
 CTRLN          =14;
 CTRLO          =15;
 CTRLP          =16;
 CTRLQ          =17;
 CTRLR          =18;
 CTRLS          =19;
 CTRLT          =20;
 CTRLU          =21;
 CTRLV          =22;
 CTRLW          =23;
 CTRLX          =24;
 CTRLY          =25;
 CTRLZ          =26;

(* alternate keys *)
 ALTA = 286;
 ALTB = 304;
 ALTC = 302;
 ALTD = 288;
 ALTE = 274;
 ALTF = 289;
 ALTG = 290;
 ALTH = 291;
 ALTI = 279;
 ALTJ = 292;
 ALTK = 293;
 ALTL = 294;
 ALTM = 306;
 ALTN = 305;
 ALTO = 280;
 ALTP = 281;
 ALTQ = 272;
 ALTR = 275;
 ALTS = 287;
 ALTT = 276;
 ALTU = 278;
 ALTV = 303;
 ALTW = 273;
 ALTX = 301;
 ALTY = 277;
 ALTZ = 300;

(* additional alternate key combinations *)
 ALT1 = 376;
 ALT2 = 377;
 ALT3 = 378;
 ALT4 = 379;
 ALT5 = 380;
 ALT6 = 381;
 ALT7 = 382;
 ALT8 = 383;
 ALT9 = 384;
 ALT0 = 385;
 ALTDASH:integer=386;
 ALTEQU :integer=387;

(* miscellaneous special keys *)
 ESCKEY    =       27;
 SPACEKEY  =       32;
 INSKEY    =       338;
 DELKEY    =       339;
 TABKEY    =       9;
 BACKSPKEY =       8;
 STABKEY   =       15;
 BTABKEY   =       271;
(* printer echoing toggle *)
 CTRL_PRTSC =     370;

(* return key variations *)
 ENTERKEY =     13;
 SRETURN  =     13;
 CRETURN  =     10;
